<?php

use Illuminate\Database\Seeder;

class GenericTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
    	$count = -1;

        $generic_type = array();
    	
        $generic_type[++$count] = ['name' => 'Installment', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'Side Payment', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'Booking', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'Loan', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'Payroll', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'HR Adjustment', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'Bills', 'created_at' => now(),'updated_at' => now()];
         
        $generic_type[++$count] = ['name' => 'Inventory', 'created_at' => now(),'updated_at' => now()];


        $generic_type[++$count] = ['name' => 'Inventory Payable', 'created_at' => now(),'updated_at' => now()];
       
        $generic_type[++$count] = ['name' => 'Invoice', 'created_at' => now(),'updated_at' => now()];

        $generic_type[++$count] = ['name' => 'Vendor Payment', 'created_at' => now(),'updated_at' => now()];



        DB::table('generic_types')->insert($generic_type);
    }
}
